Wednesday, June 27th 2012

Source Filmmaker Lets You Create Your Own Source Engine Movies

Valve is releasing the Source Filmmaker (SFM), the movie-making tool Valve uses to make movies inside the Source game engine. SFM has been used in quite a number of Valve trailers. SFM is currently available in beta. To apply, simply visit the official website with a computer that already has Steam installed on it. "Initially, we are limiting the number of beta users, but soon we will release the SFM to all users on Steam for free," Valve's FAQ explains. At launch, SFM will only work within Team Fortress 2, meaning fan-made Half-Life movies using SFM won't be possible for a while. However, Valve notes that "users familiar with modding with the Source engine will be able to mod the SFM build of TF2 to create new worlds."

If you're interested, here's what you'll need for Filmmaker:

-OS: Windows 7 / Vista (Windows 7 64 bit suggested)
-Processor: 3.0 GHz P4, Dual Core 2.0 (or higher) or AMD64X2 (or higher)
-Memory: 2GB (4 GB suggested)
-Hard Disk Space: At least 15 GB of Space
-Video: NVIDIA GeForce 200 series card or better, or AMD Radeon 3000 series or better (NVIDIA GeForce 400 series or AMD Radeon 5000 series preferred)
-Monitor: 1366 x 768 (1920 x 1080 suggested)
-Audio: DirectX 9.0c compatible
-USB headset with mic (suggested)

As a small bonus we finally get to "Meet the Pyro"!


Source: Shacknews
Add your own comment

31 Comments on Source Filmmaker Lets You Create Your Own Source Engine Movies

#1
Morgoth
CaptainFailcon said:
you sir are a blithering nut
you do realize source SDK was updated last year right ?
install it from steam
https://developer.valvesoftware.com/wiki/Source_SDK_Release_Notes
don't install the 2007 version install the Source SDK
it auto updates with every release
the reason for keeping the 2007 version available is because from 2008 onward changes where made that can break things
pretty much when ever there is a Source engine update the SDK gets updated as well
what kind of garbage are you talking abouth
No you are wrong did you every tryd to use anny of the alien swarm/l4d/portal futures on sdk 2007? IT DOES NOT WORK!

NO MAC NO LINUX NO X BOX SUPPORT
No Video playback in Menu ! hardcodes support!
NO code support for 2009 or later sdk's !
2009 source code is not available.!

NO Depth of field
NO AI director
NO Ambient occlusion
NO FLOW water
Large ammount for rendering stuff is not in sdk 2007 build!

did you even now that real time rendering was cut from Hammer !
and Parallax Occlusion cut from episode 1 engine!
Posted on Reply
#2
CaptainFailcon
Morgoth said:
what kind of garbage are you talking abouth
No you are wrong did you every tryd to use anny of the alien swarm/l4d/portal futures on sdk 2007? IT DOES NOT WORK!

NO MAC NO LINUX NO X BOX SUPPORT
No Video playback in Menu ! hardcodes support!
NO code support for 2009 or later sdk's !
2009 source code is not available.!
I am gonna leave this discussion now because you don't have a fking clue what you are talking about :banghead:
Posted on Reply
#3
Morgoth
yes i am even there is a large difference in the vertex buffer size compared 2007 to 2009!
Posted on Reply
#4
Dj-ElectriC
Can already see YouTube filled with TF2 sex scenes...
Posted on Reply
#5
Ikaruga
Now, we badly need a pyro-vision mod asap.

Morgoth said:
what kind of garbage are you talking abouth
No you are wrong did you every tryd to use anny of the alien swarm/l4d/portal futures on sdk 2007? IT DOES NOT WORK!

NO MAC NO LINUX NO X BOX SUPPORT
No Video playback in Menu ! hardcodes support!
NO code support for 2009 or later sdk's !
2009 source code is not available.!

NO Depth of field
NO AI director
NO Ambient occlusion
NO FLOW water
Large ammount for rendering stuff is not in sdk 2007 build!

did you even now that real time rendering was cut from Hammer !
and Parallax Occlusion cut from episode 1 engine!
I have to second that. I don't know if they released anything related in the last half year or so, but I had a long chat with the devs of the synergy mod last Dec, and they told me that the main problem is the outdated 2007 SDK - which is the only one available to them - does not contain everything what they would need to make their mod better.
Posted on Reply
#6
tacosRcool
I would be scared of the pyro too!
Posted on Reply